/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/drivers/common/ftgl/!ftgl_font_manager.hpp

*/

#ifndef SGX_FTGL_MANAGER_HPP
#define SGX_FTGL_MANAGER_HPP	1

class CDeviceFTGLFontManager : public CSGXFontManager
{
public:

	static CSGXFontManager *get();
	static CSGXFontManager *create();

	CDeviceFTGLFontManager();
	virtual ~CDeviceFTGLFontManager();
	virtual void		initialize();
	virtual CSGXFont *	registerFont(const sgxString &name, const sgxString &filename, const CSGXFontParams &params=CSGXFontParams());
};

#endif /* SGX_FTGL_MANAGER_HPP */
